Main Page Widgets Namespaces Book

# Pango::GlyphGeometry Class Reference

List of all members.

## Detailed Description

A Pango::GlyphGeometry contains width and positioning information for a single glyph.

Distances are in 1/64ths of a point.

## Public Member Functions
| GlyphGeometry ()
| GlyphGeometry (const PangoGlyphGeometry* src)
GlyphUnit | get_width () const
| Gets the logical width to use for the character.
GlyphUnit | get_x_offset () const
| Gets the horizontal offset from nominal character position.
GlyphUnit | get_y_offset () const
| Gets the vertical offset from nominal character position.
PangoGlyphGeometry* | gobj ()
const PangoGlyphGeometry* | gobj () const
## Protected Attributes
PangoGlyphGeometry | gobject_
## Related Functions
(Note that these are not member functions.)
Pango::GlyphGeometry& | wrap (PangoGlyphGeometry* object)
const Pango::GlyphGeometry& | wrap (const PangoGlyphGeometry* object)

## Constructor & Destructor Documentation

Pango::GlyphGeometry::GlyphGeometry | ( |  | ) |

Pango::GlyphGeometry::GlyphGeometry | ( | const PangoGlyphGeometry* | src | ) | `[explicit]`

## Member Function Documentation

GlyphUnit Pango::GlyphGeometry::get_width | ( |  | ) | const

| Gets the logical width to use for the character. Returns: The logical width.

GlyphUnit Pango::GlyphGeometry::get_x_offset | ( |  | ) | const

| Gets the horizontal offset from nominal character position. Returns: The horizontal offset.

GlyphUnit Pango::GlyphGeometry::get_y_offset | ( |  | ) | const

| Gets the vertical offset from nominal character position. Returns: The vertical offset.

const PangoGlyphGeometry* Pango::GlyphGeometry::gobj | ( |  | ) | const`[inline]`

PangoGlyphGeometry* Pango::GlyphGeometry::gobj | ( |  | ) | `[inline]`

## Friends And Related Function Documentation

const Pango::GlyphGeometry& wrap | ( | const PangoGlyphGeometry* | object | ) | `[related]`

Pango::GlyphGeometry& wrap | ( | PangoGlyphGeometry* | object | ) | `[related]`

## Member Data Documentation

PangoGlyphGeometry Pango::GlyphGeometry::gobject_`[protected]`

The documentation for this class was generated from the following file:

- glyph.h